Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#1993 closed defect

Mips conversion to PIC IRQ model

Reported by: Jennifer Averett Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@…, gedare@… Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

The attached file is a first cut at a conversion of the mips to the PIC
IRQ model. The patch only deals with the jmr bsp, but I plan to propagate the modifications to the remainder of the mips bsps. However, since I don't have access to mips hardware, the jmr will be the only bsp that I will be able to test. Any comments or input on the modifications would be appreciated.

Attachments (1)

mips-patch.txt (27.3 KB) - added by Jennifer Averett on 12/15/11 at 13:40:35.
mips jmr conversion to PIC IRQ model

Download all attachments as: .zip

Change History (6)

Changed on 12/15/11 at 13:40:35 by Jennifer Averett

Attachment: mips-patch.txt added

mips jmr conversion to PIC IRQ model

comment:1 Changed on 12/15/11 at 17:52:23 by Gedare Bloom

Cc: Gedare Bloom added

comment:2 Changed on 12/16/11 at 07:18:43 by Sebastian Huber

Cc: Sebastian Huber added

comment:3 Changed on 03/30/12 at 14:21:13 by Joel Sherrill

This work is on the malta branch in Jennifer's repo. We will be merging it and the Malta BSP next week.

comment:4 Changed on 11/21/14 at 14:14:15 by Joel Sherrill

Description: modified (diff)
Resolution: fixed
Status: newclosed

This work has long been merged and is on the 4.11 master.

comment:5 Changed on 11/24/14 at 18:58:28 by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.